View Issue Details

IDProjectCategoryView StatusLast Update
0004851Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.3Fixed in Version0.3 
Summary0004851: exchange httpd should probably just exit if no wireformats are configured
DescriptionThis is practically always a misconfiguration, and the exchange process should simply exit.
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-02 06:35

manager   ~0011875

Implemented in 397c718..d06dac6

Florian Dold

2017-03-08 02:43

manager   ~0011902

This doesn't actually work. When wire formats are configured, but the JSON is wrong and no wire format can load correctly, the exchange still starts and gives us "{}" for "/wire".

Observed in 7ba2ee0966

Christian Grothoff

2017-03-08 11:49

manager   ~0011908

Ah, that's an extra requirement. It does exit if no wire formats are configured, but configured but _incorrectly_ is another story...

Christian Grothoff

2017-03-08 13:13

manager   ~0011909

Fixed in 7ba2ee0..5f5babc

Christian Grothoff

2021-09-02 18:14

manager   ~0018302

Fix committed to master branch.

Related Changesets

exchange: master 5f5babca

2017-03-08 11:59:01

Christian Grothoff

Details Diff
fix 0004851 Affected Issues
0004851
mod - src/exchange/taler-exchange-httpd.c Diff File
mod - src/exchange/taler-exchange-httpd_db.c Diff File
mod - src/exchange/taler-exchange-httpd_wire.c Diff File
mod - src/exchange/taler-exchange-httpd_wire.h Diff File
mod - src/exchangedb/plugin_exchangedb_postgres.c Diff File

Issue History

Date Modified Username Field Change
2017-01-10 17:29 Florian Dold New Issue
2017-01-10 17:29 Florian Dold Status new => assigned
2017-01-10 17:29 Florian Dold Assigned To => Christian Grothoff
2017-03-02 06:35 Christian Grothoff Status assigned => resolved
2017-03-02 06:35 Christian Grothoff Resolution open => fixed
2017-03-02 06:35 Christian Grothoff Fixed in Version => 0.3
2017-03-02 06:35 Christian Grothoff Note Added: 0011875
2017-03-02 06:35 Christian Grothoff Product Version => git (master)
2017-03-02 06:35 Christian Grothoff Target Version => 0.3
2017-03-08 02:43 Florian Dold Note Added: 0011902
2017-03-08 02:44 Florian Dold Status resolved => assigned
2017-03-08 11:49 Christian Grothoff Note Added: 0011908
2017-03-08 13:13 Christian Grothoff Status assigned => resolved
2017-03-08 13:13 Christian Grothoff Note Added: 0011909
2017-06-06 14:18 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 5f5babca
2021-09-02 18:14 Christian Grothoff Note Added: 0018302